# VAST Challenge 2015

## Background

DinoFun World is a typical modest-sized amusement park, sitting on about 215 hectares 
and hosting thousands of visitors each day. It has a small town feel, but it is 
well known for its exciting rides and events.

One event last year was a weekend tribute to Scott Jones, internationally 
renowned football (“soccer,” in US terminology) star. Scott Jones is from a town 
nearby DinoFun World. He was a classic hometown hero, with thousands of fans who 
cheered his success as if he were a beloved family member. To celebrate his years 
of stardom in international play, DinoFun World declared “Scott Jones Weekend”, 
where Scott was scheduled to appear in two stage shows each on Friday, Saturday, 
and Sunday to talk about his life and career. In addition, a show of memorabilia 
related to his illustrious career would be displayed in the park’s Pavilion.

However, the event did not go as planned. Scott’s weekend was marred by crime and 
mayhem perpetrated by a poor, misguided and disgruntled figure from Scott’s past.

While the crimes were rapidly solved, park officials and law enforcement figures 
are interested in understanding just what happened during that weekend to better 
prepare themselves for future events. They are interested in understanding how 
people move and communicate in the park, as well as how patterns changes and 
evolve over time, and what can be understood about motivations for changing patterns.


## Park Overview

![park map](docs/figures/parkmap1-1024x944.png)

The figure above is the park layout. The attractions are numbered and coded 
according to type (the index to the attractions can be found in the park website).
The red line indicates the pathway through the park, although dark green areas 
are also areas where people can move. (Attraction 30 in the middle of the map is 
a water rapids ride, so people can watch from the “inside” of the ride boundaries.
For other rides, people are not allowed to wander inside of the ride footprint.
Attraction 63 is a show stage area, so people populate this area during performances).  


## <a name="datadesc"></a>Data Description

Additional information about the park and the provided data can be found in the 
[data description](docs/VastChallenge15_DataDescription.md).


## News Article

The incident that happened in the park was discussed in the provided 
[news article](docs/VastChallenge15_NewsArticle.md).


## Official Tasks in the VAST Challenge 2015

The official challenge is grouped into two mini-challenges and one grand challenge. We will be working on mini-challenge 1. Here is the description 
of all three challenges:
* **Mini-Challenge 1** focuses on movement of people around the park. You are being asked to characterize the movement of groups and individuals, with a special emphasis on what might be relevant to better understanding the incident that occurred in June 2014.
* **Mini-Challenge 2** asks you to dive into the communications over time that took place among the park visitors using the park app. Linkages between visitors and among park patrons and park staff could reveal behaviors of interest.
* The **Grand Challenge** requires you to blend your knowledge obtained from the two mini-challenges to answer questions of interest to law enforcement officials. How was the crime executed and who was responsible?


## Tasks for Mini-Challenge 1

### Characterize Groups

Characterize the attendance at DinoFun World on this weekend. Describe up to twelve different types of groups at the park on this weekend.
* How big is this type of group?
* Where does this type of group like to go in the park?
* How common is this type of group?
* What are your other observations about this type of group?
* What can you infer about this type of group?
* If you were to make one improvement to the park to better meet this group’s needs, what would it be?

Limit your response to no more than 12 images and 1000 words.


### Activity Patterns

Are there notable differences in the patterns of activity on in the park across the three days? 
Please describe the notable difference you see.

Limit your response to no more than 3 images and 300 words.


### Anomalies

What anomalies or unusual patterns do you see? Describe no more than 10 anomalies, and prioritize those unusual patterns that you think are most likely to be relevant to the crime.

Limit your response to no more than 10 images and 500 words.
